### Method

# Gtk TreeViewget_cursor

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_get_cursor (
      GtkTreeView* tree_view,
      GtkTreePath** path,
      GtkTreeViewColumn** focus_column
    )

#### Description [src]

Fills in `path` and `focus_column` with the current path and focus column. If the cursor isn’t currently set, then `path` will be `NULL`. If no column currently has focus, then `focus_column` will be `NULL`.

The returned `GtkTreePath` must be freed with `gtk_tree_path_free()` when you are done with it.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  A pointer to be filled with the current cursor path.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

`focus_column`

  Type: `GtkTreeViewColumn`

  A pointer to be filled with the current focus column.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The data is owned by the instance.